<!--
 * @Descripttion: (平台资质与规范/tb_platform_spec 添加弹窗)
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-10-22)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-10-22)
-->
<template>
  <el-dialog v-model="props.modelValue" title="添加平台资质与规范信息" width="900px" @closed="closeDialog" @open="openDialog">
    <el-form ref="formRef" :model="formData" :rules="rules">
      <el-row :gutter="20">


        <el-col :lg="12">
          <el-form-item :label-width="labelWidth" label="标题" prop="platformSpecTitle">
            <el-input v-model="formData.platformSpecTitle" placeholder="请输入标题" />
          </el-form-item>
        </el-col>
        <el-col :lg="24">
          <el-form-item :label-width="labelWidth" label="内容" prop="platformSpecContent">
            <editor v-model="formData.platformSpecContent" :min-height="200" />
          </el-form-item>
        </el-col>
        <el-col :lg="12">
          <el-form-item :label-width="labelWidth" label="排序" prop="platformSpecSort">
            <el-input-number v-model.number="formData.platformSpecSort" controls-position="right" :min="0" />
          </el-form-item>
        </el-col>

      </el-row>
    </el-form>

    <template #footer>
      <div key="dialog-footer">
        <el-button type="primary" @click="handleAddClick(formRef)" :loading="loadingStatus">添加</el-button>
        <el-button @click="handleResetClick(formRef)">重置</el-button>
      </div>
    </template>
  </el-dialog>
</template>


<script setup>
import { reactive, ref, watch } from "vue";
import { ElMessage } from 'element-plus'
import modal from '@/plugins/modal.js'
import { addOrUpdatePlatformSpec } from '@/api/business/Settings/PlatformSpecs/platformSpec.js';


// 打开弹窗时回调
const openDialog = async () => {


}

// -业务参数


// -业务方法



// -基础参数
const loadingStatus = ref(false)
const labelWidth = 100;
const formRef = ref();
const { proxy } = getCurrentInstance()
const emits = defineEmits(["update:modelValue"]);
const formData = reactive({
  platformSpecSort: 100
});
const props = defineProps({
  modelValue: Boolean,
  done: Function,
});
const imgData = ref({
  fileDir: "PlatformSpec"
})

// 验证
const rules = reactive({
  platformSpecGuid: [{ required: true, message: "不能为空", trigger: "blur", type: "number" }],
  platformSpecTitle: [{ required: true, message: "标题不能为空", trigger: "blur" }],
  platformSpecContent: [{ required: true, message: "内容不能为空", trigger: "blur" }],
  platformSpecSort: [{ required: true, message: "排序不能为空", trigger: "blur", type: "number" }],
});

// -基础方法

// 提交
const handleAddClick = async (formEl) => {
  if (!formEl) return;
  formEl.validate(async (valid) => {
    if (!valid) {
      return;
    }
    loadingStatus.value = true


    const { code } = await addOrUpdatePlatformSpec(formData);
    if (code == 200) {
      modal.msgSuccess('添加成功')
      closeDialog();
      loadingStatus.value = false
    }
  });
};
const closeDialog = () => {
  handleResetClick(formRef.value);
  props.done();
  emits("update:modelValue", false);
};
const handleResetClick = async (formEl) => {
  if (!formEl) return;
  formEl.resetFields();
};
</script>